<template>
  <div style="padding: 10px;">
    <h2>Sous-composant by props</h2>
    <hr>
    <p style="color: red">
      Normalement déconseillé parce que les modifications faites directement sur des props sont écrasées si le props en question change chez le parent.
    </p>
    Contenu de l'objet:<br>
    <pre>{{ JSON.stringify(value, null, 4) }}</pre>
    <input v-model="value.field" />
    <button @click="local.field = 'ceci est un test'">Overwrite</button>
  </div>
</template>

<script>
export default {
  props: {
    value: Object
  },
  watch: {
    value(newVal) {
      this.$emit('input', newVal);
    },
  },
}
</script>